## ike 2.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,12 +20,13 @@
 
 set(
 	RELVER
-	"2.0.3" )
+	"2.1.0" )
 
 subdirs(
 	source/iked
 	source/libike
 	source/libip
+	source/libidb
 	source/libith
 	source/liblog
 	source/libpfk )
@@ -263,6 +264,7 @@
 OPTION( NATT   "include NAT Traversal support" )
 OPTION( LDAP   "include LDAP Authentication support" )
 OPTION( QTGUI  "include Client QT GUI support" )
+OPTION( TESTS  "include library test programs" )
 
 # Debug Symbols Option
 
@@ -393,4 +395,17 @@
 
 endif( QTGUI )
 
-
+# Library Test Programs
+
+if( TESTS )
+
+	message(
+		STATUS 
+		"Building library test programs ..." )
+
+	add_subdirectory( source/test_ith )
+
+endif( TESTS )
+
+
+
