=== source/ikea/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 include_directories(
 	${IKE_SOURCE_DIR}/source/
-	${IKE_SOURCE_DIR}/source/libip
+	${IKE_SOURCE_DIR}/source/libidb
+	${IKE_SOURCE_DIR}/source/libith
+	${IKE_SOURCE_DIR}/source/liblog
 	${QT_INCLUDE_DIR} )
 
 link_directories(
@@ -19,11 +21,13 @@
 	UIC_FILES
 	site.ui
 	root.ui
+	conflict.ui
 	topology.ui
 	about.ui )
 
 set(
 	IMG_FILES
+	png/logo_ssoft.png
 	png/policy_exc.png
 	png/policy_inc.png
 	png/site.png
@@ -54,7 +58,9 @@
 
 target_link_libraries(
 	ikea
-        ip
+        idb
+        ith
+        log
 	pthread
 	${QT_LIBRARIES} )
