## ike 2.1.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,11 @@
 
 project( IKE )
 
+cmake_minimum_required( VERSION 2.4 )
+if( COMMAND cmake_policy )
+	cmake_policy( SET CMP0003 NEW )
+endif( COMMAND cmake_policy )
+
 #
 # Unix Target Constants
 #
@@ -20,7 +25,7 @@
 
 set(
 	RELVER
-	"2.1.4" )
+	"2.1" )
 
 subdirs(
 	source/iked
