=== source/ikec/CMakeLists.txt ===
--- 
+++ 
@@ -53,9 +53,10 @@
 target_link_libraries(
 	ikec
 	ike
-        idb
-        ith
-        log
+	idb
+	ith
+	log
+	crypto
 	pthread
 	${QT_LIBRARIES} )
 
@@ -63,10 +64,10 @@
 
 add_custom_command(  
 	SOURCE ${IMG_FILES}
-        COMMAND ${QT_UIC_EXECUTABLE}
-        ARGS -embed ikec ${IMG_FILES} -o images.cxx
-        TARGET ikec
-        OUTPUTS images.cxx )
+	COMMAND ${QT_UIC_EXECUTABLE}
+	ARGS -embed ikec ${IMG_FILES} -o images.cxx
+	TARGET ikec
+	OUTPUTS images.cxx )
 
 # install support
