=== source/iked/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	${IKE_SOURCE_DIR}/source
 	${IKE_SOURCE_DIR}/source/iked
 	${IKE_SOURCE_DIR}/source/libike
+	${IKE_SOURCE_DIR}/source/libidb
 	${IKE_SOURCE_DIR}/source/libith
 	${IKE_SOURCE_DIR}/source/libip
 	${IKE_SOURCE_DIR}/source/liblog
@@ -21,6 +22,7 @@
 
 link_directories(
 	${IKE_SOURCE_DIR}/source/libike
+	${IKE_SOURCE_DIR}/source/libidb
 	${IKE_SOURCE_DIR}/source/libith
 	${IKE_SOURCE_DIR}/source/libip
 	${IKE_SOURCE_DIR}/source/liblog
@@ -31,6 +33,7 @@
 	crypto.cpp
 	conf.parse.cpp
 	conf.token.cpp
+	dhcp.cpp
 	ike.cpp
 	ike.exch.config.cpp
 	ike.exch.inform.cpp
@@ -44,7 +47,7 @@
 	ike.idb.peer.cpp
 	ike.idb.policy.cpp
 	ike.idb.tunnel.cpp
-	ike.idb.xch.cpp
+	ike.idb.exch.cpp
 	ike.io.admin.cpp
 	ike.io.network.cpp
 	ike.io.pfkey.cpp
@@ -56,7 +59,7 @@
 	ike.peerid.cpp
 	ike.policy.cpp
 	ike.proposal.cpp
-	ike.utility.cpp
+	ike.socket.cpp
 	ike.xauth.cpp
 	ike.xconf.cpp
 	iked.cpp
@@ -65,6 +68,7 @@
 target_link_libraries(
 	iked
 	ike
+	idb
 	ith
 	ip
 	log
@@ -72,16 +76,6 @@
 	crypt
 	crypto
 	pthread )
-
-# linux realtime library
-
-if( PATH_LIB_RT )
-
-	target_link_libraries(
-		iked
-		rt )
-
-endif( PATH_LIB_RT )
 
 # LDAP support option
