=== source/libike/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,9 @@
         ${IKE_SOURCE_DIR}/source
         ${IKE_SOURCE_DIR}/source/iked
         ${IKE_SOURCE_DIR}/source/libike
+        ${IKE_SOURCE_DIR}/source/libidb
+        ${IKE_SOURCE_DIR}/source/libith
+        ${IKE_SOURCE_DIR}/source/liblog
         ${IKE_SOURCE_DIR}/source/libip )
 
 add_library(
