=== source/libip/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,12 @@
 
 include_directories(
 	${IKE_SOURCE_DIR}/source
+	${IKE_SOURCE_DIR}/source/libidb
+	${IKE_SOURCE_DIR}/source/liblog
 	${IKE_SOURCE_DIR}/source/libith )
 
 add_library(
 	ip
-	libip.bdata.cpp
 	libip.frag.cpp
 	libip.packet.cpp
 	libip.packet.dns.cpp
@@ -21,8 +22,7 @@
 	libip.packet.udp.cpp
 	libip.pcap.cpp
 	libip.queue.cpp
-	libip.route.unix.cpp
-	utils.list.cpp )
+	libip.route.cpp )
 
 set_target_properties(
 	ip PROPERTIES
