=== source/libith/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,17 @@
 	ith
 	libith.cpp )
 
+# linux realtime library
+
+if( PATH_LIB_RT )
+
+	target_link_libraries(
+		ith
+		rt )
+
+endif( PATH_LIB_RT )
+
+
 set_target_properties(
 	ith PROPERTIES
 	VERSION ${RELVER}
