=== source/libike/CMakeLists.txt ===
--- 
+++ 
@@ -29,5 +29,5 @@
 
 install(
 	TARGETS ike
-	LIBRARY DESTINATION lib )
+	LIBRARY DESTINATION ${PATH_LIB} )
