=== source/libpfk/CMakeLists.txt ===
--- 
+++ 
@@ -27,5 +27,5 @@
 
 install(
 	TARGETS pfk
-	LIBRARY DESTINATION lib )
+	LIBRARY DESTINATION ${PATH_LIB} )
