=== debian/changelog ===
ike (2.1.7+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable 0004_select.diff, 0006_terminate.diff which break connection
    setup. (Closes: #663223, reopens: #566673)

 -- Christoph Berg <myon@debian.org>  Mon, 12 Mar 2012 11:53:39 +0100

ike (2.1.7+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/0003_pktinfo.diff: Fix "FTBFS on kfreebsd-*: error: 'void*'
  		is not a pointer-to-object type" (Closes: #599947)
    This package still won't work with the Debians FreeBSD kernel, since it is
    missing IPSec / PFKEY support.
  * debian/patches/0004_select.diff, debian/patches/0006_terminate.diff:
    Fix "iked.real wakes up every 500ms even on idle" (Closes: #566673)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    - Standards-Version: 3.9.1: no changes required.
    - Add missing ${misc:Depends}
    - Although the FTBFS is now fixed, ike will not work on kFreeBSD, since it
      is missing PF_KEY support, switch to Architecture: linux-any.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sat, 26 Feb 2011 11:42:11 +0100

ike (2.1.5+dfsg-2) unstable; urgency=medium

  * Fix "CVE-2010-3361: insecure library loading" caused by LD_LIBRARY_PATH=:
    in debian/wrappers/iked (Closes: #598292)
  * Fix "CVE-2010-3361: insecure library loading" caused by LD_LIBRARY_PATH=:
    in debian/wrappers/ike[ac] (Closes: #598293)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 08 Oct 2010 14:57:57 +0200

ike (2.1.5+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: update download-location.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun, 06 Dec 2009 09:09:25 +0100

ike (2.1.4+dfsg-4) unstable; urgency=low

  * debian/watch: Chaneg to new location
    http://www.shrew.net/download/ike/ike-(.*)-release.tgz

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 06 Oct 2009 10:46:53 +0200

ike (2.1.4+dfsg-3) unstable; urgency=low

  * Fix incorrect init.d dependencies and runlevel in script/iked.
    (Closes: #545893) Thanks to Petter Reinholdtsen.
  * debian/ike.{pre,post}{inst,rm}: Fix "package installation fails" by
    ignoring errors during start on install. (Closes: #486656)
  * debian/control:
    - Standards-Version: 3.8.3: no changes required.
    - ike: Add reference to other IKEv1 daemons.
  * debian/rules: drop deprecated call of dh_desktop.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 06 Oct 2009 10:29:12 +0200

ike (2.1.4+dfsg-2) unstable; urgency=low

  * Fix circular dependency with iked.h & conf.token.hpp. (Closes: #521951)
  * debian/control: Standards-Version: 3.8.1
    - Fix script/iked to not start iked.real multiple times.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 07 Apr 2009 23:50:32 +0200

ike (2.1.4+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/watch: Fix download location.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Thu, 13 Nov 2008 19:50:14 +0100

ike (2.1.3+dfsg-1) unstable; urgency=low

  * New upstream version. (Closes: #500139)
    - bug in check of remote IPv4 address (Closes: #500027)
  * debian/rules:
    - "dh_makeshlibs -n" because libraries are not public
    - Remove ${misc:Depends} from Depends-lines
    - add source/ikea/conflict.h, source/iked/etkey to FILESTOCLEAN
  * debian/wrapper/*
    - Do exec instead of forking
  * debian/control:
    - Bump Standards-Version to 3.8.0: no changes required
    - Adopt package on Nicolas request. Thanks for previous maintenance.
  * debian/{control,copyright,init.d,rules}
    - Strip trailing white spaces: s/\s\+$//
  * source/iked/iked.{8,conf.5}
    - Remove path-prefix /usr/local
  * Use script/iked instead of debian/ike.init

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 22 Oct 2008 23:42:59 +0200

ike (2.1.0+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Nicolas Deschildre <ndeschildre@gmail.com>  Wed, 28 May 2008 00:07:17 +0200

ike (2.0.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #482589)

 -- Nicolas Deschildre <ndeschildre@gmail.com>  Tue, 27 May 2008 19:45:32 +0200
