=== debian/control ===
Source: ike
Section: net
Priority: extra
Maintainer: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>= 6.0.7~),
 flex,
 bison (>= 2.3),
 libqt3-mt-dev (>= 3.3),
 libssl-dev (>= 0.9),
 cmake (>= 2.4)
Standards-Version: 3.9.1
Homepage: http://www.shrew.net/

Package: ike
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ike-qtgui
Provides: ike-server
Description:Shrew Soft VPN client - Daemon and libraries
 The Shrew Soft VPN client is a free IPsec VPN Client for FreeBSD, NetBSD,
 Linux and Windows operating systems. This product can be used to communicate
 with Open Source VPN servers (e.g. ipsec-tools) as well as some commercial
 VPN servers.
 .
 This package provides a IKEv1 (ipsec key exchange) daemon and librairies used
 to maintain a IPSec VPN connection. It provides similar functionality as
 racoon, OpenSwan, FreeSwan, StrongSwan, IsaKmpD but is more user-interactive.
 .
 Note: You should install the ike-qtgui package to have a graphical
 user interface to configure and use VPN connections.

Package: ike-qtgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Shrew Soft VPN client - Connection manager
 The Shrew Soft VPN Client is a free IPsec VPN Client for FreeBSD, NetBSD,
 Linux and Windows operating systems. This product can be used to communicate
 with Open Source VPN servers (e.g. ipsec-tools) as well as some commercial
 VPN servers.
 .
 This package provides the connection manager program, which allows one
 to create, manage and use VPN connections.
