## ike 2.2.1%2Bdfsg

=== debian/changelog ===
ike (2.2.1+dfsg-6) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with openssl 1.1.0. Thanks to Adrian Bunk. (Closes: #828349)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Nov 2016 13:58:26 +0000

ike (2.2.1+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Orphan package.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 17 Jul 2016 18:55:09 +0000

ike (2.2.1+dfsg-4) unstable; urgency=medium

  * Link with pthread, fix FTBFS on arm64 (patch from Ubuntu).
    Thanks to Daniel T Chen <crimsun@ubuntu.com>
  * d/control: Add Vcs-{Git,Browser}
  * Fix lintian warning empty-short-license-in-dep5-copyright
  * Update Standards-Version to 3.9.6 (no further changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 28 Jun 2015 00:24:32 +0200

ike (2.2.1+dfsg-3) unstable; urgency=medium

  * Add patch fixing possible crash in qikea

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 27 Jul 2014 01:07:47 +0200

ike (2.2.1+dfsg-2) unstable; urgency=medium

  * ike: Replace squeeze version of ike-qtgui (Closes: #734462)
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 07 Jan 2014 15:22:27 +0100

ike (2.2.1+dfsg-1) unstable; urgency=low

  * New maintainer, reintroduce to unstable.
  * New upstream version.
    * GUI uses Qt4
    * New ikec command line tool
  * Conflict with ike-server meta-package, drop associated README.Debian
  * drop wrapper scripts and replace them with RPATH
  * Enable hardening flags
  * Switch to debhelper 9
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.4
  * Add Keywords to desktop file
  * Fix Error in German description
  * Expand Recommends

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 21 Dec 2013 23:33:59 +0100
